# std::random_access_iterator_tag Struct Reference

Random-access iterators support a superset of bidirectional iterator operations. More...

`#include <stl_iterator_base_types.h>`

Inheritance diagram for std::random_access_iterator_tag:

[legend]
Collaboration diagram for std::random_access_iterator_tag:

[legend]

## Detailed Description

Random-access iterators support a superset of bidirectional iterator operations.

Definition at line 90 of file stl_iterator_base_types.h.

The documentation for this struct was generated from the following file:

- stl_iterator_base_types.h